PresenterFunctions.UltimasMedicionesFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface PresenterFunctions.UltimasMedicionesFunctions

- All Known Implementing Classes:
    UltimasMedicionesPresenter
  Enclosing interface:
    PresenterFunctions

      public static interface PresenterFunctions.UltimasMedicionesFunctions

  Interfaz correspondiente al Presentador `UltimasMedicionesPresenter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configRecyclerView(android.support.v7.widget.RecyclerView recyclerView)` Metodo que se encarga de hacer una configuracion inicial del `RecyclerView` que muestra el listado de las ultimas 10 mediciones almacenadas en la Base de Datos.
    `void` | `onDeleteMeasurementClicked(java.lang.String nombrePaciente, java.lang.String fechaHora)` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton para borrar la medicion en `UltimasMedicionesFragment`.
    `void` | `setUpInitialSettings(android.support.v7.widget.Toolbar toolbar)` Metodo que realiza las operaciones iniciales cuando se crea el `Fragment UltimasMedicionesFragment`.

- - ### Method Detail

    - #### setUpInitialSettings

          void setUpInitialSettings(android.support.v7.widget.Toolbar toolbar)

      Metodo que realiza las operaciones iniciales cuando se crea el `Fragment UltimasMedicionesFragment`.

      Se encarga de marcar el tercer item del `NavigationView` (correspondiente a `UltimasMedicionesFragment`), fijar la orientacion de la pantalla en "Portrait" y de utilizar el `Toolbar` recibido como `SupportActionBar`.

      Parameters:
        `toolbar` - `Toolbar` a emplear como `SupportActionBar`

    - #### configRecyclerView

          void configRecyclerView(android.support.v7.widget.RecyclerView recyclerView)

      Metodo que se encarga de hacer una configuracion inicial del `RecyclerView` que muestra el listado de las ultimas 10 mediciones almacenadas en la Base de Datos.

      Realiza una operacion para mejorar el rendimiento del mismo, asi como añadirle el `LayoutManager` y el `RecyclerView.Adapter`.

      Parameters:
        `recyclerView` - `RecyclerView` a configurar

    - #### onDeleteMeasurementClicked

          void onDeleteMeasurementClicked(java.lang.String nombrePaciente,
                                          java.lang.String fechaHora)

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton para borrar la medicion en `UltimasMedicionesFragment`.

      Se encarga de crear un dialogo que envia a la Vista para que se lo muestre al usuario, con el fin de confirmar que quiere borrar la medicion seleccionada.

      Si el usuario confirma que desea eliminar la medicion, el metodo se encarga de mostrar el listado de las ultimas 10 mediciones almacenadas, actualizado con la medicion ya eliminada.

      Parameters:
        `nombrePaciente` - Nombre del paciente al que se le realizo la medicion
        `fechaHora` - Fecha y hora en la que se realizo la medicion